Page MenuHomePhabricator

ddclient not functional
Closed, ResolvedPublic

Description

....config part.....................

dynamic {
    interface eth1 {
        service dyndns {
            host-name xxxxx.mine.nu
            host-name yyyyy.dnsalias.com
            login someuser
            password somepsw
        }
        use-web {
            skip "this is your IP"
            url http://www.web.net/GetRemoteIP.asp
        }
    }
}

..... but in /etc/ddclient.conf ...... we get extra CR on "server=" .... so dynamic dns service is BROKEN
....config part.....................

-----------/etc/ddclient.conf--------------
[OMISSIS]

DynDNS provider configuration for xxxxx.mine.nu

protocol=dyndns2
max-interval=28d
login=someuser
password='somepsw'
server=
xxxxx.mine.nu

DynDNS provider configuration for yyyyy.dnsalias.com

protocol=dyndns2
max-interval=28d
login=someuser
password='somepsw'
server=
yyyyy.dnsalias.com
[OMISSIS]
-----------/etc/ddclient.conf--------------

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

mdsmds created this task.Jan 30 2019, 8:10 AM
mdsmds created this object in space S1 VyOS Public.
mdsmds edited projects, added VyOS 1.2 Crux; removed VyOS 1.2 Crux ( VyOS 1.2.0-rc11).
c-po claimed this task.Jan 30 2019, 8:12 AM
c-po closed this task as Resolved.Jan 30 2019, 6:09 PM
mdsmds reopened this task as Open.Feb 2 2019, 4:12 PM

server OK but now we get ERROR:
Feb 2 16:51:21 VyosCP ddclient[5968]: FAILED: updating is: notfqdn: A Fully-Qualified Domain Name was not provided
Feb 2 16:56:21 VyosCP ddclient[5968]: WARNING: file /var/cache/ddclient/ddclient.cache, line 5: Invalid Value for keyword 'ip' = ''
Feb 2 16:56:22 VyosCP ddclient[5968]: FAILED: updating is: notfqdn: A Fully-Qualified Domain Name was not provided
Feb 2 17:05:28 VyosCP ddclient[4710]: WARNING: file /var/cache/ddclient/ddclient.cache, line 5: Invalid Value for keyword 'ip' = ''
Feb 2 17:05:36 VyosCP ddclient[4710]: FAILED: updating is: notfqdn: A Fully-Qualified Domain Name was not provided

...and more.. a ghost server with "host-name : is" and.... update-status: notfqdn ?????????
show dns dynamic status
ip address : 172.16.16.44
host-name : xxxxxxx.dnsalias.com
last update : 1970-01-01 00:00:00
update-status:

ip address : 172.16.16.44
host-name : xxxxxxx.dnsalias.com
last update : 1970-01-01 00:00:00
update-status:

ip address :
host-name : is
last update : 2019-02-02 16:05:28
update-status: notfqdn

ip address : 172.16.16.44
host-name : xxxxxxxx.mine.nu
last update : 1970-01-01 00:00:00
update-status:

c-po added a comment.EditedFeb 2 2019, 4:26 PM

Con you provide a configuration to reproduce the issue?

If your configuration contains sensitive data you can PM it to me

just what I've post
dynamic {

interface eth1 {
    service dyndns {
        host-name xxxxx.mine.nu
        host-name yyyyy.dnsalias.com
        login someuser
        password somepsw
    }
    use-web {
        skip "this is your IP"
        url http://www.web.net/GetRemoteIP.asp
    }
}

}

I suspect that the offending part may be

skip "this is your IP"

and the "ghost" host may be the "is" (part of "this is your IP")

Effectively the web page http://www.web.net/GetRemoteIP.asp only return the IP without "this is your IP"
but this should not put ddclient on failure.... IMO

Actually as workaround, I've completely removed the statement

skip "this is your IP"

and now there is no more ghost-host "is".

But I suspect that the statement-skip functionality is broken IMO.

I will test using a "skip" with some string effectively returned on web page....

if we use a more simply string without blank as e.g.

skip "yourIP"

all seems OK. So I think there is some problem in parsing a whole quoted string.

c-po added a comment.Feb 3 2019, 3:49 PM

Ah, there was a similar issue with dhcp last couple of weeks where quotes broke the config (T1129). Can you try using &nbsp instead of your whitespace?

pasik added a subscriber: pasik.Feb 4 2019, 7:34 PM
c-po added a comment.Feb 10 2019, 3:15 PM

An easier solution is to wrap the test in ' like use-web='this is your IP'

c-po added a comment.Feb 10 2019, 3:24 PM

Implemented in latest rolling and backported to Crux branch for 1.2.1

c-po closed this task as Resolved.Feb 10 2019, 3:24 PM